Summary:   Rutgers Mirror scripts for mirroring Linux distributions
Name:      rutgers-mirror-scripts
Version:   1.3
Release:   6.ru6
License:   GPLv2+
Group:     System Environment/Base
Source0:   Mirrors-%{version}-%{release}.tar.bz2
Source1:   mirror_scripts
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch

Requires: rsync
Requires: mailx
Requires: shlock

%description
This package contains the scripts used to mirror various Linux
distributions at Rutgers. It is strongly recommended
these scripts be run from cron, and not at the same time, since
they are all network-intensive.


%prep
%setup -n rutgers-mirror-scripts

%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/local/share/rutgers-mirror-scripts
mkdir -p $RPM_BUILD_ROOT/etc/cron.d/
install -m755 *sh $RPM_BUILD_ROOT/usr/local/share/rutgers-mirror-scripts/
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/etc/cron.d/

%clean
rm -rf $RPM_BUILD_ROOT

%post
cat <<EOF
The Rutgers mirror scripts have been installed in /usr/local/share/rutgers-mirror-scripts
The cron job is installed in /etc/cron.d/mirror_scripts

EOF

%files
%defattr(0755,root,root,-)
/usr/local/share/rutgers-mirror-scripts/
%attr(0644,root,root) /etc/cron.d/mirror_scripts

%changelog
* Mon Oct 26 2015 Aedan Dispenza <ad778@nbcs.rutgers.edu> - 1.3-6.ru6
- Modified locking to use shlock which locks on pid and prevents weird desync errors.

* Mon Sep 30 2013 Harry Stern <hcstern@oss.rutgers.edu> - 1.3-5.ru6
- Fixed wrong directory being used to check last mirrror update time
- Changed Arch mirror to use an official tier 1 mirror (leaseweb) in order to lessen load on rit server.
- Changed Ubuntu mirror to use official US mirror for same reason.

* Wed Sep 11 2013 Harry Stern <hcstern@oss.rutgers.edu> - 1.3-4.ru6
- Fixed CentOS 6.2 not being deleted as part of effort to conserve hard drive space.

* Thu Aug 29 2013 Harry Stern <hcstern@oss.rutgers.edu> - 1.3-3.ru6
- Fixed cron job file permissions.

* Thu Aug 29 2013 Harry Stern <hcstern@oss.rutgers.edu> - 1.3-1.ru6
- Added cron job, fixes to fedora script.

* Mon Aug 26 2013 Kyle Suarez <kds124@nbcs.rutgers.edu> - 1.2-1.ru6
- Bump to 1.2
- Tiny updates in source code to ArchLinux and Ubuntu mirrors

* Thu May 02 2013 Jarek Sedlacek <jarek@nbcs.rutgers.edu> - 1.1-1.ru6
- Bump to 1.1

* Thu Apr 11 2013 Jarek Sedlacek <jarek@nbcs.rutgers.edu> - 1.0-1.ru6
- Initial Build
